Thomas Paviot <tpaviot@...> writes: > > > 2011/8/1 Naide <mlim <at> ece.fr> > > > > Thank you. > When I use the functiondisplay.DisplayColoredShape(your_topods_shape, > 'ORANGE') > there are just the border of the rectangle which are coloring in ORANGE. > What i have forgoten to do ? > Thank you in advance. > My code : > p5 = gp_Pnt(X1,Y1,Z1) > p6 = gp_Pnt(X2,Y2,Z2) > p7 = gp_Pnt(X3,Y3,Z3) > p8 = gp_Pnt(X4,Y4,Z4) > rect1 = make_closed_polygon(p5,p6,p8,p7) > self.canva._display.DisplayColoredShape(rect1, 'ORANGE') > > > > > > You have first to build a plane surface (TopoDS_Face) bounded by the 4 edges. Then pass this TopoDS_Face to the display.ThomasĀ > > >
Thank you, my program functions very well. But when I change the position of my CAD, the color of rectangle change. In fact, for example when I see my blue rectangle on face, it becomes white. I don't understand why and wonder how I can change it ? I don't want to have difference color in function of the angle of view. Thank you in advance. Naire _______________________________________________ Pythonocc-users mailing list Pythonocc-users@gna.org https://mail.gna.org/listinfo/pythonocc-users